質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.92%

google-image-downloadの使い方(Mac,VS code)

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 254

akamini

score 10

vs codeで画像分類器作成の演習のためにgoogle-image-downloaderをpipでインストールして画像をダウンロード
しようと思ったのですが、下記のエラー文が出てきて画像を取得できません。
teratail内での質問も拝見しましたが、回答者様の端末では実行できたとの回答が多く、根本的な解決策がないように感じたので質問させていただきます。

googleimagesdownload -k '二郎系ラーメン' -l 20

Item no.: 1 --> Item name = \u4e8c\u90ce\u7cfb\u30e9\u30fc\u30e1\u30f3
Evaluating...
Starting Download...


Unfortunately all 20 could not be downloaded because some images were not downloadable. 0 is all we got for this search filter!

Errors: 0


Everything downloaded!
Total errors: 0
Total time taken: 0.9890496730804443 Seconds


これはvs codeのpythonのプログラム内になにかimportしたり、pipインストールがうまく行かないことなどもあったりするのでしょうか?

使用しているPCは
MacBook Pro (13-inch, 2019, Two Thunderbolt 3 ports)
プロセッサ 1.4 GHz クアッドコアIntel Core i5
メモリ 8 GB 2133 MHz LPDDR3

環境は
vs code
python3.7.6 
tensorflow1.14.0

エラー文全体です

(base) xxxxxxx@xxxxxx image-classfication-jiro %  python -m pip install git+https://github.com/Joeclinton1/google-images-download.git
Collecting git+https://github.com/Joeclinton1/google-images-download.git
  Cloning https://github.com/Joeclinton1/google-images-download.git to /private/var/folders/m8/1ppphl5160z71yqgl_25lh_00000gn/T/pip-req-build-_t0k9agu
  Running command git clone -q https://github.com/Joeclinton1/google-images-download.git /private/var/folders/m8/1ppphl5160z71yqgl_25lh_00000gn/T/pip-req-build-_t0k9agu
Requirement already satisfied (use --upgrade to upgrade): google-images-download==2.8.0 from git+https://github.com/Joeclinton1/google-images-download.git in /opt/anaconda3/lib/python3.7/site-packages
Requirement already satisfied: selenium in /opt/anaconda3/lib/python3.7/site-packages (from google-images-download==2.8.0) (3.141.0)
Requirement already satisfied: urllib3 in /opt/anaconda3/lib/python3.7/site-packages (from selenium->google-images-download==2.8.0) (1.25.8)
Building wheels for collected packages: google-images-download
  Building wheel for google-images-download (setup.py) ... done
  Created wheel for google-images-download: filename=google_images_download-2.8.0-py2.py3-none-any.whl size=15385 sha256=426ebc6202f8004004f799aa0e46284e9b37ddb47e203c126c89e2157f773bc6
  Stored in directory: /private/var/folders/m8/1ppphl5160z71yqgl_25lh_00000gn/T/pip-ephem-wheel-cache-wbn6xvwp/wheels/79/5c/d2/2569a4f55ff29b3c4d6b1114d5110a70a79afbf381e6eb3e87
Successfully built google-images-download
ERROR: Error checking for conflicts.
Traceback (most recent call last):
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 3021, in _dep_map
    return self.__dep_map
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2815, in __getattr__
    raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 3012, in _parsed_pkg_info
    return self._pkg_info
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2815, in __getattr__
    raise AttributeError(attr)
AttributeError: _pkg_info

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_internal/commands/install.py", line 512, in _warn_about_conflicts
    package_set, _dep_info = check_install_conflicts(to_install)
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_internal/operations/check.py", line 114, in check_install_conflicts
    package_set, _ = create_package_set_from_installed()
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_internal/operations/check.py", line 53, in create_package_set_from_installed
    package_set[name] = PackageDetails(dist.version, dist.requires())
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2736, in requires
    dm = self._dep_map
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 3023, in _dep_map
    self.__dep_map = self._compute_dependencies()
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 3032, in _compute_dependencies
    for req in self._parsed_pkg_info.get_all('Requires-Dist') or []:
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 3014, in _parsed_pkg_info
    metadata = self.get_metadata(self.PKG_INFO)
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 1420, in get_metada
ta
    value = self._get(path)
  File "/opt/anaconda3/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 1616, in _get
    with open(path, 'rb') as stream:
FileNotFoundError: [Errno 2] No such file or directory: '/opt/anaconda3/lib/python3.7/site-packages/google_pasta-0.2.0.dist-info/METADATA'
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

google-image-downloaderをアンインストールし、以下を実行してください。

python -m pip install git+https://github.com/Joeclinton1/google-images-download.git


公式のissueによると、1週間前にpatchがついているみたいですが、pipにまだ反映されていないのかもしれません。
https://github.com/hardikvasa/google-images-download/pull/298#issuecomment-652669622

こういう類のものは、githubのissueを確認するといいです。
しばらくするとpipにも反映されると思いますが、しばらくはこれで凌ぐといいと思います。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/07/05 10:20

    エラー文全体を質問に編集いたしました。

    キャンセル

  • 2020/07/05 18:07

    私はconda環境下で実行していないので、どうなっているかわからないですね...
    アンインストールはされましたか?

    キャンセル

  • 2020/07/06 21:08

    アンインストールしてみましたが、最初のインストールの段階でエラーが出ていたのでpipでもうまくインストールできていなかったようです。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る